Bug 823501 - Cannot redeploy ESB archive with changed WAR file name inside
Cannot redeploy ESB archive with changed WAR file name inside
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Deployment, JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER3
: 5.3.0 GA
Assigned To: tcunning
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 07:57 EDT by Martin Vecera
Modified: 2013-02-06 21:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If the user changes the name of a .WAR deployment within an ESB archive, they cannot redeploy that archive because an exception will occur.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Vecera 2012-05-21 07:57:59 EDT
Description of problem:
When I deploy and .ESB archive with a .WAR deployment inside, it works fine. When I take the same .ESB deployment, change the name of the .WAR file inside and try to redeploy the original deployment, the following exception occurs during undeployment of the original file. Please note that this used to work.

13:39:25,502 INFO  [DefaultEndpointRegistry] remove: jboss.ws:context=Quickstart_redeploy_orig,endpoint=MySimpleWS
13:39:25,503 INFO  [EsbDeployment] Stopping 'qs.esb'
13:39:25,546 INFO  [InquiryHelper] uddi:juddi.apache.org:3b3432d6-6c6d-4aeb-a35f-81b3a3f36ea1 is modified Mon May 21 13:39:05 CEST 2012 1337600345022
13:39:25,564 INFO  [EsbDeployment] Destroying 'qs.esb'
13:39:25,564 WARN  [ServiceMessageCounterLifecycleResource] Calling cleanup on existing service message counters for identity ID-14
13:39:25,565 WARN  [SmooksResource] Closing smooks resources for identity ID-14
13:39:25,586 WARN  [VFSStructureBuilder] Error populating deployment vfszip:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/qs.esb/
org.jboss.deployers.spi.DeploymentException: Unable to determine child Quickstart_redeploy_orig.war from parent qs.esb
	at org.jboss.deployers.spi.DeploymentException.rethrowAsDeploymentException(DeploymentException.java:49)
	at org.jboss.deployers.vfs.plugins.structure.VFSStructureBuilder.createChildDeploymentContext(VFSStructureBuilder.java:96)
	at org.jboss.deployers.structure.spi.helpers.AbstractStructureBuilder.populateContext(AbstractStructureBuilder.java:134)
	at org.jboss.deployers.structure.spi.helpers.AbstractStructureBuilder.populateContext(AbstractStructureBuilder.java:92)
	at org.jboss.deployers.structure.spi.helpers.AbstractStructuralDeployers.determineStructure(AbstractStructuralDeployers.java:89)
	at org.jboss.deployers.plugins.main.MainDeployerImpl.determineStructure(MainDeployerImpl.java:1001)
	at org.jboss.deployers.plugins.main.MainDeployerImpl.determineDeploymentContext(MainDeployerImpl.java:437)
	at org.jboss.deployers.plugins.main.MainDeployerImpl.processToDeploy(MainDeployerImpl.java:342)
	at org.jboss.deployers.plugins.main.MainDeployerImpl.process(MainDeployerImpl.java:681)
	at org.jboss.system.server.profileservice.repository.MainDeployerAdapter.process(MainDeployerAdapter.java:117)
	at org.jboss.system.server.profileservice.hotdeploy.HDScanner.scan(HDScanner.java:409)
	at org.jboss.system.server.profileservice.hotdeploy.HDScanner.run(HDScanner.java:294)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
	at java.util.concurrent.FutureTask$Sync.innerRunAndReset(FutureTask.java:317)
	at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:150)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$101(ScheduledThreadPoolExecutor.java:98)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.runPeriodic(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:204)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:662)
Caused by: java.io.IOException: Child not found Quickstart_redeploy_orig.war for DelegatingHandler@1324587255[path=qs.esb context=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/ real=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/qs.esb], available children: [ZipEntryHandler@2114809136[path=qs.esb/BRPRiskGroup_redeploy.drl context=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/ real=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/qs.esb/BRPRiskGroup_redeploy.drl], ZipEntryHandler@595307255[path=qs.esb/META-INF context=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/ real=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/qs.esb/META-INF], DelegatingHandler@116124467[path=qs.esb/Quickstart_redeploy_orig.war context=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/ real=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/qs.esb/Quickstart_redeploy_orig.war], ZipEntryHandler@202723412[path=qs.esb/dummy-service.xml context=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/ real=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/qs.esb/dummy-service.xml], ZipEntryHandler@1263321342[path=qs.esb/hornetq-jms.xml context=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/ real=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/qs.esb/hornetq-jms.xml], ZipEntryHandler@470977105[path=qs.esb/org context=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/ real=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/qs.esb/org], DelegatingHandler@87480893[path=qs.esb/Quickstart_rede_orig.war context=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/ real=file:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/qs.esb/Quickstart_rede_orig.war]]
	at org.jboss.virtual.VirtualFile.findChild(VirtualFile.java:472)
	at org.jboss.deployers.vfs.plugins.structure.VFSStructureBuilder.createChildDeploymentContext(VFSStructureBuilder.java:91)
	... 19 more
13:39:25,586 WARN  [HDScanner] Failed to process changes
org.jboss.deployers.client.spi.IncompleteDeploymentException: Summary of incomplete deployments (SEE PREVIOUS ERRORS FOR DETAILS):

*** DEPLOYMENTS MISSING DEPLOYERS: Name

vfszip:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/qs.esb/

*** DEPLOYMENTS IN ERROR: Name -> Error

vfszip:/home/mvecera/work/soa/530ER2/jboss-as/server/production/deploy/qs.esb/ -> org.jboss.deployers.spi.DeploymentException: Unable to determine child Quickstart_redeploy_orig.war from parent qs.esb


	at org.jboss.deployers.plugins.deployers.DeployersImpl.checkComplete(DeployersImpl.java:1008)
	at org.jboss.deployers.plugins.deployers.DeployersImpl.checkComplete(DeployersImpl.java:954)
	at org.jboss.deployers.plugins.main.MainDeployerImpl.checkComplete(MainDeployerImpl.java:870)
	at org.jboss.system.server.profileservice.repository.MainDeployerAdapter.checkComplete(MainDeployerAdapter.java:128)
	at org.jboss.system.server.profileservice.hotdeploy.HDScanner.scan(HDScanner.java:416)
	at org.jboss.system.server.profileservice.hotdeploy.HDScanner.run(HDScanner.java:294)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
	at java.util.concurrent.FutureTask$Sync.innerRunAndReset(FutureTask.java:317)
	at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:150)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$101(ScheduledThreadPoolExecutor.java:98)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.runPeriodic(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:204)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:662)

A sample deployment is attached.
Comment 3 tcunning 2012-05-30 16:13:33 EDT
This one is marked a regression - did it previously work in SOA-P 5.2?
Comment 5 David Le Sage 2012-06-12 23:19:32 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
If the user changes the name of a .WAR deployment within an ESB archive, they cannot redeploy that archive because an exception will occur.
Comment 6 Martin Vecera 2012-06-13 10:17:24 EDT
This is not a regression in 5.x series. It is a regression compared to 4.x.

Note You need to log in before you can comment on or make changes to this bug.